%define anolis_release 13
Name:           perl-Test-Spelling
Version:        0.25
Release:        %{anolis_release}%{?dist}
Summary:        Check for spelling errors in POD files
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Test-Spelling
Source0:        https://cpan.metacpan.org/modules/by-module/Test/Test-Spelling-%{version}.tar.gz
BuildArch:      noarch
# Module Build
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
# Module Runtime
BuildRequires:  hunspell
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter) >= 5.57
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(IPC::Run3) >= 0.044
BuildRequires:  perl(Pod::Spell) >= 1.01
BuildRequires:  perl(strict)
BuildRequires:  perl(Symbol)
BuildRequires:  perl(Test::Builder)
BuildRequires:  perl(Text::Wrap)
BuildRequires:  perl(warnings)
# Test Suite
BuildRequires:  glibc-langpack-en
BuildRequires:  hunspell-en
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Tester)
BuildRequires:  perl(utf8)
# Optional Tests
BuildRequires:  perl(CPAN::Meta) >= 2.120900
# Runtime
Requires:       hunspell
Requires:       perl(Carp)

%description
"Test::Spelling" lets you check the spelling of a POD file, and report
its results in standard "Test::Simple" fashion. This module requires the
hunspell program.

%package doc
Summary: Documentation files for %{name}
Requires: %{name} = %{EVR}

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Test-Spelling-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} -c %{buildroot}

%check
LANG=en_US make test

%files
%license LICENSE
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::Spelling.3*

%files doc
%doc Changes README

%changelog
* Mon Feb 6 2023 Funda Wang <fundawang@yeah.net> - 0.25-13
- Import package for anolis 23
